Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161581 - mounted vfat volume shows up in computer:/// but no icon shows up on the desktop
Summary: mounted vfat volume shows up in computer:/// but no icon shows up on the desktop
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 16:58 UTC by Teddy
Modified: 2015-03-03 22:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-17 05:51:46 UTC


Attachments (Terms of Use)

Description Teddy 2005-06-24 16:58:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I have a Fat32 partition on the same physical disk as my FC4 installation that I use to share files with my WinXP installation.  Anaconda didn't automatically mount the volume during the installation so I manually added the following line to my fstab file to have it mount:

/dev/hdc1     /media/hdc1     vfat     rw,auto,user     0 0

The mounted volume "10G Hard Drive: NEW VOLUME" shows up in computer:/// with my other mounted drives but not on my desktop.  I have a SanDisk Cruzer Mini USB Drive that was recognized by Anaconda during installation and shows up both in computer:/// and on the desktop.

I've searched other support forums as best as I could but without much luck.  One Ubuntu support forum topic was very similar to mine.  Something they noticed was that if you change the fstab entry:

/dev/hdc1     /media/hdc1     vfat     rw,auto,user     0 0

to

dev/hdc1     /media/hdc1     vfat     rw,auto,user     0 0
(by removing the first "/" before dev/hdc1)

The drive will show up on the desktop and in the Places menu; however, its label will only be the mountpoint "hdc1" rather than the actual volume label.

I don't know if this is a HAL problem or something wrong with nautilus, but I'm guessing that since the drive does shows up in computer:/// then its not HAL.

(BTW, I'm still pretty new to Linux, so this is the best I could to to narrow down where the problem might be)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Not sure how to reproduce on other systems.

Additional info:

Comment 1 Alexander Larsson 2006-09-04 15:00:27 UTC
Very very strange. Do you still see this in FC5?


Comment 2 petrosyan 2008-02-17 05:51:46 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.